summaryrefslogtreecommitdiff
path: root/lib/tdb/configure
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-12-23 23:54:51 +0100
committerJelmer Vernooij <jelmer@samba.org>2010-12-24 01:15:05 +0100
commit9e8a04984327ffae611165244a159ff9c6ca30f4 (patch)
treef06bf4d4b1afb2034753188ed946cf48085d88ec /lib/tdb/configure
parent0f8f21657dfa4d26d438cb02fb7b5e838a0aa092 (diff)
downloadsamba-9e8a04984327ffae611165244a159ff9c6ca30f4.tar.gz
samba-9e8a04984327ffae611165244a159ff9c6ca30f4.tar.bz2
samba-9e8a04984327ffae611165244a159ff9c6ca30f4.zip
tdb: Remove autotools support.
Diffstat (limited to 'lib/tdb/configure')
-rwxr-xr-xlib/tdb/configure21
1 files changed, 21 insertions, 0 deletions
diff --git a/lib/tdb/configure b/lib/tdb/configure
new file mode 100755
index 0000000000..6a9f875511
--- /dev/null
+++ b/lib/tdb/configure
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+PREVPATH=`dirname $0`
+
+if [ -f $PREVPATH/../../buildtools/bin/waf ]; then
+ WAF=../../buildtools/bin/waf
+elif [ -f $PREVPATH/buildtools/bin/waf ]; then
+ WAF=./buildtools/bin/waf
+else
+ echo "replace: Unable to find waf"
+ exit 1
+fi
+
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=1
+export JOBS
+
+cd . || exit 1
+$WAF configure "$@" || exit 1
+cd $PREVPATH